MPD: CancellableList< T, CT > Class Template Reference

MPD 0.20.15

Data Structures | Public Types | Public Member Functions
CancellableList< T, CT > Class Template Reference

`#include <Cancellable.hxx>`

## Public Types
typedef CT::reference_type | reference_type
typedef CT::const_reference_type | const_reference_type

## Public Member Functions
gcc_pure bool | IsEmpty () const noexcept
gcc_pure bool | Contains (const_reference_type p) const noexcept
template<typename... Args>
CT & | Add (reference_type p, Args &&... args)
void | Remove (CT &ct)
void | Cancel (reference_type p)
CT & | Get (reference_type p) noexcept
template<typename F >
void | ForEach (F &&f)

## Detailed Description

### template<typename T, typename CT = CancellablePointer<T>>
class CancellableList< T, CT >

Definition at line 69 of file Cancellable.hxx.

## Member Typedef Documentation

## ◆ const_reference_type

template<typename T, typename CT = CancellablePointer<T>>

typedef CT::const_reference_type CancellableList< T, CT >::const_reference_type

Definition at line 72 of file Cancellable.hxx.

## ◆ reference_type

template<typename T, typename CT = CancellablePointer<T>>

typedef CT::reference_type CancellableList< T, CT >::reference_type

Definition at line 71 of file Cancellable.hxx.

## Member Function Documentation

## ◆ Add()

template<typename T, typename CT = CancellablePointer<T>>
template<typename... Args>

CT& CancellableList< T, CT >::Add | ( | reference_type | p,
|  | Args &&... | args
| ) |  |
| inline

Definition at line 131 of file Cancellable.hxx.

## ◆ Cancel()

template<typename T, typename CT = CancellablePointer<T>>

void CancellableList< T, CT >::Cancel | ( | reference_type | p | ) |
| inline

Definition at line 147 of file Cancellable.hxx.

## ◆ Contains()

template<typename T, typename CT = CancellablePointer<T>>

gcc_pure bool CancellableList< T, CT >::Contains | ( | const_reference_type | p | ) | const
| inlinenoexcept

Definition at line 126 of file Cancellable.hxx.

## ◆ ForEach()

template<typename T, typename CT = CancellablePointer<T>>
template<typename F >

void CancellableList< T, CT >::ForEach | ( | F && | f | ) |
| inline

Definition at line 162 of file Cancellable.hxx.

## ◆ Get()

template<typename T, typename CT = CancellablePointer<T>>

CT& CancellableList< T, CT >::Get | ( | reference_type | p | ) |
| inlinenoexcept

Definition at line 154 of file Cancellable.hxx.

## ◆ IsEmpty()

template<typename T, typename CT = CancellablePointer<T>>

gcc_pure bool CancellableList< T, CT >::IsEmpty | ( |  | ) | const
| inlinenoexcept

Definition at line 116 of file Cancellable.hxx.

## ◆ Remove()

template<typename T, typename CT = CancellablePointer<T>>

void CancellableList< T, CT >::Remove | ( | CT & | ct | ) |
| inline

Definition at line 139 of file Cancellable.hxx.

The documentation for this class was generated from the following file:

- lib/nfs/Cancellable.hxx